mixed-port: 7890
socks-port: 7891
redir-port: 7892
allow-lan: false
mode: rule
log-level: info
ipv6: false
external-controller: '127.0.0.1:9990'
secret: ''
dns:
  enable: true
  ipv6: false
  listen: '127.0.0.1:53'
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
    - 'https://223.5.5.5/dns-query'
    - 'https://223.6.6.6/dns-query'
    - 'https://1.12.12.12/dns-query'
    - 'https://120.53.53.53/dns-query'
  fallback:
    - '8.26.56.26:443'
    - '8.20.247.20:443'
    - '8.26.56.10:443'
    - '8.20.247.10:443'
    - '208.67.222.222:443'
    - '208.67.220.220:443'
    - '208.67.222.220:443'
    - '208.67.220.222:443'
    - '208.67.222.123:443'
    - '208.67.220.123:443'
    - '208.67.220.2:443'
    - '208.67.222.2:443'
    - '146.112.41.2:443'
    - '146.112.41.3:443'
    - '146.112.41.4:443'
    - '146.112.41.5:443'
    - '204.194.232.200:443'
    - '208.67.222.64:443'
    - '208.67.220.64:443'
    - '146.112.71.71:443'
    - '146.112.70.70:443'
    - '155.190.111.111:443'
    - '155.190.111.123:443'
    - 'https://146.112.41.2/dns-query'
    - 'https://146.112.41.3/dns-query'
    - 'https://146.112.41.4/dns-query'
    - 'https://146.112.41.5/dns-query'
    - 'https://204.194.232.200/dns-query'
    - 'https://208.67.222.64/dns-query'
    - 'https://208.67.220.64/dns-query'
    - 'https://146.112.71.71/dns-query'
    - 'https://146.112.70.70/dns-query'
    - 'https://155.190.111.111/dns-query'
    - 'https://155.190.111.123/dns-query'
    - 'https://130.59.31.248/dns-query'
    - 'https://130.59.31.251/dns-query'
  fallback-filter:
    geoip: true
    ipcidr:
      - 240.0.0.0/4
proxies:
  - {name: 香港, server: 47.76.218.163, port: 443, type: vless, uuid: 63601f9f-7c67-4952-919a-1ef802b5a7ec, tls: true, skip-cert-verify: false, servername: steep.skyfigure.top, network: ws, ws-opts: {path: "/Telegram @SRCVPN/?ed=2560", headers: {Host: steep.skyfigure.top}}, udp: true}
  # 台湾节点
  - name: "台湾"
    server: twmoon1-cdn-route.couldflare-cdn.com
    port: 1443
    type: http
    tls: true
    skip-cert-verify: false
    username: mrwdfNTD8M79LCukCieldrqZWqs=
    password: exaxgqkKkd0TAMrCxeonWg==

  - name: "台湾2"
    server: tw4-cdn-route.couldflare-cdn.com
    port: 443
    type: http
    tls: true
    skip-cert-verify: false
    username: mrwdfNTD8M79LCukCieldrqZWqs=
    password: exaxgqkKkd0TAMrCxeonWg==
    
  # 美国节点
  - name: "美国"
    port: 61001
    server: 192-227-152-86.nip.io
    type: hysteria2
    udp: true
    sni: 192-227-152-86.nip.io
    password: 5CBqBh6MeDq6GajcilBiDg==
    skip-cert-verify: true
  - {name: 美国2, server: 160.79.104.251, port: 8880, type: vless, uuid: 0132166f-e702-48ed-a9e7-b07af768faf8, tls: false, skip-cert-verify: false, servername: cf.d3z.net, network: ws, ws-opts: {path: "/TelegramU0001F1E8U0001F1F3 @WangCai2 /?ed=2560", headers: {Host: cf.d3z.net}}, udp: true}
  - {name: 美国3, server: 38.246.249.90, port: 60589, type: vless, uuid: 461558c5-425f-49de-9dad-5a9184e092f9, flow: xtls-rprx-vision, tls: true, skip-cert-verify: false, client-fingerprint: chrome, servername: www.cisco.com, reality-opts: {public-key: g_56k7ui9UrIxf6FL4bc5JJ4tYQ0wwENzddsybcRNHo, short-id: 11aa857ce52a1392}, udp: true}
  - {name: 美国4, server: 160.79.104.251, port: 8880, type: vless, uuid: 0132166f-e702-48ed-a9e7-b07af768faf8, tls: false, skip-cert-verify: false, servername: cf.d3z.net, network: ws, ws-opts: {path: /Telegram🇨🇳تعداد, headers: {Host: cf.d3z.net}}, udp: true}

  # 俄罗斯节点
  - name: "俄罗斯"
    port: 12904
    server: 46.17.41.5
    type: hysteria2
    udp: true
    sni: apple.com
    password: dongtaiwang.com
    skip-cert-verify: true

  # 意大利节点
  - name: "意大利 - 罗马市"
    server: 194.41.59.80
    port: 8388
    type: ss
    cipher: chacha20-ietf
    password: "asd123456"  # 密码已修正为字符串
    udp: true
  - {name: 哥斯达黎加, server: 190.93.246.246, port: 8443, type: vless, uuid: b5441b0d-2147-4898-8a6a-9b2c87f58382, tls: true, skip-cert-verify: false, client-fingerprint: chrome, servername: bitget1.asdasd.click, network: ws, ws-opts: {path: "/Telegram@V2ray_Alpha/?ed=2560", headers: {Host: bitget1.asdasd.click}}, udp: true}
  - {name: 哥斯达黎加2, server: 190.93.246.246, port: 8443, type: vless, uuid: b5441b0d-2147-4898-8a6a-9b2c87f58382, tls: true, skip-cert-verify: false, client-fingerprint: chrome, servername: bitget1.asdasd.click, network: ws, ws-opts: {path: "/Telegram@V2rayN5/?ed=2560", headers: {Host: bitget1.asdasd.click}}, udp: true}
  - {name: 荷兰, server: 45.131.4.147, port: 80, type: vless, uuid: 53fa8faf-ba4b-4322-9c69-a3e5b1555049, tls: false, skip-cert-verify: false, servername: redfree8.pooriashop.ir, network: ws, ws-opts: {path: "/Telegram\U0001F1E8\U0001F1F3@v/?ed=2560", headers: {Host: redfree8.pooriashop.ir}}, udp: true}
  - {name: 越南, server: 160.250.65.124, port: 34045, type: vless, uuid: d8dd94fd-540e-461d-b5d4-acebef02c22a, tls: true, skip-cert-verify: false, client-fingerprint: chrome, servername: visit-this-invitation-link-to-join-tg-enkelte-notif.ekt.me, reality-opts: {public-key: cDaDzPr3PlS3NM8lreHZbdo-Mhqz8vMBzMSkHXhGIUA, short-id: e8ab71d0}, udp: true}
  - {name: 越南2, server: 160.250.65.148, port: 34045, type: vless, uuid: d8dd94fd-540e-461d-b5d4-acebef02c22a, tls: true, skip-cert-verify: false, client-fingerprint: firefox, servername: visit-this-invitation-link-to-join-tg-enkelte-notif.ekt.me, reality-opts: {public-key: cDaDzPr3PlS3NM8lreHZbdo-Mhqz8vMBzMSkHXhGIUA, short-id: e8ab71d0}, udp: true}
  - {name: 泰国, server: 45.144.167.46, port: 19816, type: vless, uuid: 6337837a-2b47-4e0d-a695-75c5a4a8ad51, tls: true, skip-cert-verify: false, servername: rs-hk.lzjnb.shop, network: ws, ws-opts: {path: /lzjjjj666, headers: {Host: rs-hk.lzjnb.shop}}, udp: true}
# 默认分组策略（更新分组）
proxy-groups:
  - name: "PROXY"
    type: select
    proxies:
      - "香港"
      - "台湾"
      - "台湾2"
      - "美国"
      - "美国2"
      - "美国3"
      - "美国4"
      - "俄罗斯"
      - "意大利 - 罗马市"
      - "哥斯达黎加"
      - "哥斯达黎加2"
      - "荷兰"
      - "越南"
      - "越南2"
      - "泰国"
# 路由规则
rules:
  - GEOIP,CN,DIRECT
  - MATCH,PROXY
